packages: dhcp/dhcp.init, dhcp/dhcp6.init - do not use -q flag in configtes...

gotar gotar at pld-linux.org
Thu Aug 26 17:50:57 CEST 2010


Author: gotar                        Date: Thu Aug 26 15:50:57 2010 GMT
Module: packages                      Tag: HEAD
---- Log message:
- do not use -q flag in configtest(),
- fixed integer comparision tests (again glen...),
- fixed -pf option for dhcpd6 service

---- Files affected:
packages/dhcp:
   dhcp.init (1.27 -> 1.28) , dhcp6.init (1.12 -> 1.13) 

---- Diffs:

================================================================
Index: packages/dhcp/dhcp.init
diff -u packages/dhcp/dhcp.init:1.27 packages/dhcp/dhcp.init:1.28
--- packages/dhcp/dhcp.init:1.27	Thu Nov 19 22:28:12 2009
+++ packages/dhcp/dhcp.init	Thu Aug 26 17:50:51 2010
@@ -36,7 +36,7 @@
 # configtest itself
 configtest() {
 	local rc=0
-	/sbin/dhcpd -4 -q -t -T || rc=$?
+	/sbin/dhcpd -4 -t -T || rc=$?
 
 	# check if interfaces specified exist and have addresses
 	for i in $DHCPD_INTERFACES; do
@@ -55,17 +55,17 @@
 	local details=${1:-0}
 
 	# run checkconfig only once
-	if [ "$checkconfig" != -1 ]; then
+	if [ $checkconfig -ne -1 ]; then
 		return $checkconfig
 	fi
 
-	if [ $details = 1 ]; then
+	if [ "$details" = "1" ]; then
 		# run config test and display report (status action)
 		show "Checking %s configuration" "DHCP Server"; busy
 		local out
 		out=$(configtest 2>&1)
 		checkconfig=$?
-		if [ $checkconfig = 0 ]; then
+		if [ $checkconfig -eq 0 ]; then
 			ok
 		else
 			fail
@@ -77,7 +77,7 @@
 		# (for actions checking status before action).
 		configtest >/dev/null 2>&1
 		checkconfig=$?
-		if [ $checkconfig != 0 ]; then
+		if [ $checkconfig -ne 0 ]; then
 			show "Checking %s configuration" "DHCP Server"; fail
 			nls 'Configuration test failed. See details with %s "checkconfig"' $0
 			exit $checkconfig

================================================================
Index: packages/dhcp/dhcp6.init
diff -u packages/dhcp/dhcp6.init:1.12 packages/dhcp/dhcp6.init:1.13
--- packages/dhcp/dhcp6.init:1.12	Tue May 18 14:30:10 2010
+++ packages/dhcp/dhcp6.init	Thu Aug 26 17:50:51 2010
@@ -36,7 +36,7 @@
 # configtest itself
 configtest() {
 	local rc=0
-	/sbin/dhcpd -6 -pf -cf /etc/dhcpd6.conf /var/run/dhpcd6.pid -q -t -T || rc=$?
+	/sbin/dhcpd -6 -t -T -cf /etc/dhcpd6.conf -pf /var/run/dhpcd6.pid || rc=$?
 
 	# check if interfaces specified exist and have addresses
 	for i in $DHCPD_INTERFACES; do
@@ -55,17 +55,17 @@
 	local details=${1:-0}
 
 	# run checkconfig only once
-	if [ "$checkconfig" != -1 ]; then
+	if [ $checkconfig -ne -1 ]; then
 		return $checkconfig
 	fi
 
-	if [ $details = 1 ]; then
+	if [ "$details" = "1" ]; then
 		# run config test and display report (status action)
 		show "Checking %s configuration" "DHCP IPv6 Server"; busy
 		local out
 		out=$(configtest 2>&1)
 		checkconfig=$?
-		if [ $checkconfig = 0 ]; then
+		if [ $checkconfig -eq 0 ]; then
 			ok
 		else
 			fail
@@ -77,7 +77,7 @@
 		# (for actions checking status before action).
 		configtest >/dev/null 2>&1
 		checkconfig=$?
-		if [ $checkconfig != 0 ]; then
+		if [ $checkconfig -ne 0 ]; then
 			show "Checking %s configuration" "DHCP IPv6 Server"; fail
 			nls 'Configuration test failed. See details with %s "checkconfig"' $0
 			exit $checkconfig
@@ -94,7 +94,7 @@
 
 	checkconfig
 	msg_starting "DHCP IPv6 Server"
-	daemon /sbin/dhcpd -6 -pf -cf /etc/dhcpd6.conf /var/run/dhpcd6.pid -q $DHCPD_INTERFACES
+	daemon /sbin/dhcpd -6 -q -cf /etc/dhcpd6.conf -pf /var/run/dhpcd6.pid $DHCPD_INTERFACES
 	RETVAL=$?
 	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/dhcpd6
 }
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/dhcp/dhcp.init?r1=1.27&r2=1.28&f=u
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/dhcp/dhcp6.init?r1=1.12&r2=1.13&f=u



More information about the pld-cvs-commit mailing list